Package ghidra.plugins.fsbrowser

# Interface FSBFileHandler

All Superinterfaces:
  `ExtensionPoint`

All Known Implementing Classes:
  `AddToProgramFSBFileHandler`, `BatchImportFSBFileHandler`, `ClearCachedPwdFSBFileHandler`, `CloseFSBFileHandler`, `ExportFSBFileHandler`, `GetInfoFSBFileHandler`, `ImageFSBFileHandler`, `ImportFSBFileHandler`, `LibrarySearchPathFSBFileHandler`, `ListMountedFSBFileHandler`, `OpenFsFSBFileHandler`, `OpenWithFSBFileHandler`, `RefreshFSBFileHandler`, `TextFSBFileHandler`

public interface FSBFileHandler extends ExtensionPoint
Extension point, used by the `FSBComponentProvider` to create actions that appear in the fsb tree, and to delegate focus and default actions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default List<DockingAction>`
  `createActions()`
  Returns a list of `DockingAction`s that should be `added` to the `FSBComponentProvider` tree as local actions.
  `default boolean`
  `fileDefaultAction(FSBFileNode fileNode)`
  Called when a file node is the target of a 'default action' initiated by the user, such as a double click, etc.
  `default boolean`
  `fileFocused(FSBFileNode fileNode)`
  Called when a file node is focused in the `FSBComponentProvider` tree.
  `default List<DockingAction>`
  `getPopupProviderActions()`
  Returns a list of `DockingAction`s that should be added to a popup menu.
  `void`
  `init(FSBFileHandlerContext context)`
  Called once after creation of each instance to provide useful info

- ## Method Details

  - ### init

    void init(FSBFileHandlerContext context)
    Called once after creation of each instance to provide useful info
    Parameters:
      `context` - references to useful objects and services

  - ### createActions

    default List<DockingAction> createActions()
    Returns a list of `DockingAction`s that should be `added` to the `FSBComponentProvider` tree as local actions.
    Returns:
      list of `DockingAction`s

  - ### fileFocused

    default boolean fileFocused(FSBFileNode fileNode)
    Called when a file node is focused in the `FSBComponentProvider` tree.
    Parameters:
      `fileNode` - `FSBFileNode` that was focused
    Returns:
      boolean true if action was taken

  - ### fileDefaultAction

    default boolean fileDefaultAction(FSBFileNode fileNode)
    Called when a file node is the target of a 'default action' initiated by the user, such as a double click, etc.
    Parameters:
      `fileNode` - `FSBFileNode` that was acted upon
    Returns:
      boolean true if action was taken, false if no action was taken

  - ### getPopupProviderActions

    default List<DockingAction> getPopupProviderActions()
    Returns a list of `DockingAction`s that should be added to a popup menu. Called each time a fsb browser tree popup menu is created.

    Only use this method to provide actions when the actions need to be created freshly for each popup event. Normal long-lived actions should be published by the `createActions()` method.

    Returns:
      list of `DockingAction`s